petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoCreate

Creates a TAO solver

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoCreate(MPI_Comm comm, Tao *newtao)

Collective on MPI_Comm Many br

### Input Parameter

comm -MPI communicator Many br

### Output Parameter

newtao -the new Tao context Many br

### Available methods include

| nls | - Newton's method with line search for unconstrained minimization Many br
| ntr | - Newton's method with trust region for unconstrained minimization Many br
| ntl | - Newton's method with trust region, line search for unconstrained minimization Many br
| lmvm | - Limited memory variable metric method for unconstrained minimization Many br
| cg | - Nonlinear conjugate gradient method for unconstrained minimization Many br
| nm | - Nelder-Mead algorithm for derivate-free unconstrained minimization Many br
| tron | - Newton Trust Region method for bound constrained minimization Many br
| gpcg | - Newton Trust Region method for quadratic bound constrained minimization Many br
| blmvm | - Limited memory variable metric method for bound constrained minimization Many br
| lcl | - Linearly constrained Lagrangian method for pde-constrained minimization Many br
| pounders | - Model-based algorithm for nonlinear least squares Many br

### Options Database Keys

-tao_type -select which method TAO should use Many br

Many br

### See Also

TaoSolve(), TaoDestroy()

Level:beginner
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F.html
src/tao/constrained/examples/tutorials/maros.c.html